Loading...
Searching...
No Matches
juce::dsp::DryWetMixer< SampleType > Class Template Reference

## Detailed Description

template<typename SampleType>
class juce::dsp::DryWetMixer< SampleType >

A processor to handle dry/wet mixing of two audio signals, where the wet signal may have additional latency.

Once a DryWetMixer object is configured, push the dry samples using pushDrySamples and mix into the fully wet samples using mixWetSamples.

The documentation for this class was generated from the following file:

- juce_dsp/processors/juce_DryWetMixer.h

## Public Types

using | MixingRule = DryWetMixingRule

## Public Member Functions

| DryWetMixer ()
| Default constructor.
| DryWetMixer (int maximumWetLatencyInSamples)
| Constructor.
void | setMixingRule (MixingRule newRule)
| Sets the mix rule.
void | setWetMixProportion (SampleType newWetMixProportion)
| Sets the current dry/wet mix proportion, with 0.0 being full dry and 1.0 being fully wet.
void | setWetLatency (SampleType wetLatencyInSamples)
| Sets the relative latency of the wet signal path compared to the dry signal path, and thus the amount of latency compensation that will be added to the dry samples in this processor.
void | prepare (const ProcessSpec &spec)
| Initialises the processor.
void | reset ()
| Resets the internal state variables of the processor.
void | pushDrySamples (const AudioBlock< const SampleType > drySamples)
| Copies the dry path samples into an internal delay line.
void | mixWetSamples (AudioBlock< SampleType > wetSamples)
| Mixes the supplied wet samples with the latency-compensated dry samples from pushDrySamples.

## Member Typedef Documentation

## MixingRule

template<typename SampleType>

using juce::dsp::DryWetMixer< SampleType >::MixingRule = DryWetMixingRule

## Constructors and Destructors

## DryWetMixer() [1/2]

template<typename SampleType>

juce::dsp::DryWetMixer< SampleType >::DryWetMixer | ( |  | ) |

Default constructor.

## DryWetMixer() [2/2]

template<typename SampleType>

juce::dsp::DryWetMixer< SampleType >::DryWetMixer | ( | int | maximumWetLatencyInSamples | ) |

explicit

Constructor.

## Member Functions

## setMixingRule()

template<typename SampleType>

void juce::dsp::DryWetMixer< SampleType >::setMixingRule | ( | MixingRule | newRule | ) |

Sets the mix rule.

## setWetMixProportion()

template<typename SampleType>

void juce::dsp::DryWetMixer< SampleType >::setWetMixProportion | ( | SampleType | newWetMixProportion | ) |

Sets the current dry/wet mix proportion, with 0.0 being full dry and 1.0 being fully wet.

## setWetLatency()

template<typename SampleType>

void juce::dsp::DryWetMixer< SampleType >::setWetLatency | ( | SampleType | wetLatencyInSamples | ) |

Sets the relative latency of the wet signal path compared to the dry signal path, and thus the amount of latency compensation that will be added to the dry samples in this processor.

## prepare()

template<typename SampleType>

void juce::dsp::DryWetMixer< SampleType >::prepare | ( | const ProcessSpec & | spec | ) |

Initialises the processor.

## reset()

template<typename SampleType>

void juce::dsp::DryWetMixer< SampleType >::reset | ( |  | ) |

Resets the internal state variables of the processor.

## pushDrySamples()

template<typename SampleType>

void juce::dsp::DryWetMixer< SampleType >::pushDrySamples | ( | const AudioBlock< const SampleType > | drySamples | ) |

Copies the dry path samples into an internal delay line.

## mixWetSamples()

template<typename SampleType>

void juce::dsp::DryWetMixer< SampleType >::mixWetSamples | ( | AudioBlock< SampleType > | wetSamples | ) |

Mixes the supplied wet samples with the latency-compensated dry samples from pushDrySamples.

Parameters

  wetSamples | Input: The AudioBlock references fully wet samples. Output: The AudioBlock references the wet samples mixed with the latency compensated dry samples.

See also
  pushDrySamples

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited